Subject: Re: [PATCH 1/8] net: netronome: constify pointers to hwmon_channel_info

From: Simon Horman <[email-masked]>
Date: Fri, 7 Apr 2023 20:17:37 +0200

On Fri, Apr 07, 2023 at 06:07:56PM +0200, Simon Horman wrote:
> On Fri, Apr 07, 2023 at 04:59:04PM +0200, Krzysztof Kozlowski wrote:
> > Statically allocated array of pointed to hwmon_channel_info can be made
> > const for safety.
> > 
> > Signed-off-by: Krzysztof Kozlowski <[email-masked]>
> > 
> > ---
> > 
> > This depends on hwmon core patch:
> > https://lore.kernel.org/all/[email-masked]/
> > 
> > Therefore I propose this should also go via hwmon tree.
> > 
> > Cc: Jean Delvare <[email-masked]>
> > Cc: Guenter Roeck <[email-masked]>
> > Cc: [email-masked]
> 
> Subject prefix should be 'nfp: '
> 
> Other than that, this looks ok to me.
> Though I am at a loss as to what tree the patches at the URL above apply to
> and thus am unable to verify this code in any way other than visually.

I've now been able to apply and build the patch on top of

git://git.kernel.org/pub/scm/linux/kernel/git/groeck/linux-staging.git hwmon-const

Thanks to Guenter for supplying the branch.
And thanks to Krzysztof for the patch.

My nit about the subject prefix not withstanding,

Acked-by: Simon Horman <[email-masked]>